__gnu_pbds::sample_resize_trigger(3)

NAME
__gnu_pbds::sample_resize_trigger -

SYNOPSIS

  Public Types
typedef std::size_t size_type

  Public Member Functions
sample_resize_trigger ()
sample_range_hashing (const sample_resize_trigger &)
void swap (sample_resize_trigger &)

  Protected Member Functions
bool is_grow_needed (size_type size, size_type num_entries) const
bool is_resize_needed () const
void notify_cleared ()
void notify_erase_search_collision ()
void notify_erase_search_end ()
void notify_erase_search_start ()
void notify_erased (size_type num_entries)
void notify_externally_resized (size_type new_size)
void notify_find_search_collision ()
void notify_find_search_end ()
void notify_find_search_start ()
void notify_insert_search_collision ()
void notify_insert_search_end ()
void notify_insert_search_start ()
void notify_inserted (size_type num_entries)
void notify_resized (size_type new_size)

Detailed Description

A sample resize trigger policy.

Definition at line 47 of file sample_resize_trigger.hpp.

Member Typedef Documentation

  typedef std::size_t __gnu_pbds::sample_resize_trigger::size_type

Size type.

Definition at line 51 of file sample_resize_trigger.hpp.

Constructor & Destructor Documentation

  __gnu_pbds::sample_resize_trigger::sample_resize_trigger ()

Default constructor.

Member Function Documentation

  bool __gnu_pbds::sample_resize_trigger::is_grow_needed (size_typesize, size_typenum_entries) const [inline], [protected]

Queries whether a grow is needed.

  bool __gnu_pbds::sample_resize_trigger::is_resize_needed () const [inline], [protected]

Queries whether a resize is needed.

  void __gnu_pbds::sample_resize_trigger::notify_cleared () [protected]

Notifies the table was cleared.

  void __gnu_pbds::sample_resize_trigger::notify_erase_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_trigger::notify_erase_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_trigger::notify_erase_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_trigger::notify_erased (size_typenum_entries) [inline], [protected]

Notifies an element was erased.

  void __gnu_pbds::sample_resize_trigger::notify_externally_resized (size_typenew_size) [protected]

Notifies the table was resized externally.

  void __gnu_pbds::sample_resize_trigger::notify_find_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_trigger::notify_find_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_trigger::notify_find_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_trigger::notify_insert_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_trigger::notify_insert_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_trigger::notify_insert_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_trigger::notify_inserted (size_typenum_entries) [inline], [protected]

Notifies an element was inserted. the total number of entries in the table is num_entries.

  void __gnu_pbds::sample_resize_trigger::notify_resized (size_typenew_size) [protected]

Notifies the table was resized as a result of this object's signifying that a resize is needed.

  __gnu_pbds::sample_resize_trigger::sample_range_hashing (const sample_resize_trigger &)

Copy constructor.

  void __gnu_pbds::sample_resize_trigger::swap (sample_resize_trigger &) [inline]

Swaps content.

Author

Generated automatically by Doxygen for libstdc++ from the source code.